namespace SideScrollerGame.Sim.Math;

internal static class IntMath
{
    public static int Sign(int value)
    {
        return System.Math.Sign(value);
    }

    public static int Abs(int value)
    {
        return System.Math.Abs(value);
    }

    public static int Min(int left, int right)
    {
        return System.Math.Min(left, right);
    }

    public static int Max(int left, int right)
    {
        return System.Math.Max(left, right);
    }

    public static int Clamp(int value, int min, int max)
    {
        return System.Math.Clamp(value, min, max);
    }

    public static long Sqrt(long value)
    {
        return (long)System.Math.Sqrt(value);
    }
}
